﻿@model DA.DataModels.Entities.Video

@{
    ViewData["Title"] = "Delete";
}

<h1>Delete</h1>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Video</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Title)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Title)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Link)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Link)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Over18)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Over18)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Likes)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Likes)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Owner)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Owner.Password)
        </dd class>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.DateAdded)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.DateAdded)
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <input type="hidden" asp-for="Id" />
        <input type="submit" value="Delete" class="btn btn-danger" /> |
        <a asp-action="Index">Back to List</a>
    </form>
</div>
